Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.server
Class ClientLauncherNew

    java.lang.Object
      org.basex.core.ALauncher
          org.basex.server.ClientLauncherNew

    public final class ClientLauncherNew

extends ALauncher

This class sends client commands to the server instance over a socket. It extends the `ALauncher` class.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`ClientLauncherNew(Context ctx)` Constructor, specifying the server host:port and the command to be sent.

Method Summary
`boolean` | `execute(Process pr)` Executes a process.
`void` | `info(PrintOutput o)` Returns process info.
`void` | `output(PrintOutput o)` Serializes the textual results of a command.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientLauncherNew

    public ClientLauncherNew(Context ctx)
                      throws java.io.IOException

  Constructor, specifying the server host:port and the command to be sent.

  Parameters:
    `ctx` - database context
  Throws:
    `java.io.IOException` - I/O exception

Method Detail

### execute

    public boolean execute(Process pr)
                    throws java.io.IOException

  Description copied from class: `ALauncher`
  Executes a process.

  Specified by:
    `execute` in class `ALauncher`
  Parameters:
    `pr` - process to be executed
  Returns:
    success of operation
  Throws:
    `java.io.IOException` - I/O exception

### output

    public void output(PrintOutput o)
                throws java.io.IOException

  Description copied from class: `ALauncher`
  Serializes the textual results of a command.

  Specified by:
    `output` in class `ALauncher`
  Parameters:
    `o` - output stream
  Throws:
    `java.io.IOException` - I/O exception

### info

    public void info(PrintOutput o)
              throws java.io.IOException

  Description copied from class: `ALauncher`
  Returns process info.

  Specified by:
    `info` in class `ALauncher`
  Parameters:
    `o` - output stream
  Throws:
    `java.io.IOException` - I/O exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD